#define COMPILE_TARGET vs_1_1

// transformations
float4x4 AlphaLightMatrix;

float4 FogColor;
float4 LerpFogColor;

float2 TexScale;

struct VS_OUTPUT{
    float4 Pos				: POSITION;
    
    float4 FogColor			: COLOR0;
    float4 LerpFogColor		: COLOR1;

	float2 Tex0				: TEXCOORD0;
	float2 Tex1				: TEXCOORD1;
	float2 Tex2				: TEXCOORD2;
};

struct VS_INPUT{
    float3 Pos				: POSITION;
};

VS_OUTPUT main(const VS_INPUT Input){
	float2 Tex = mul(float4(Input.Pos, 1), AlphaLightMatrix) * TexScale;
	
	VS_OUTPUT Out;
    Out.Pos = float4(Input.Pos, 1);
	Out.Tex0 = Tex;
	Out.Tex1 = Tex;
	Out.Tex2 = Tex;
	Out.FogColor = FogColor;
	Out.LerpFogColor = LerpFogColor;
	
	return Out;
}
